moveGenerator.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Constant Groups | Macros | Functions | Variables
moveGenerator.cc File Reference
`#include "osl/search/moveGenerator.h"`
`#include "osl/search/searchState2.h"`
`#include "osl/search/shouldPromoteCut.h"`
`#include "osl/search/sortCaptureMoves.h"`
`#include "osl/search/breakThreatmate.h"`
`#include "osl/search/analyzer/categoryMoveVector.h"`
`#include "osl/move_generator/capture_.h"`
`#include "osl/move_generator/escape_.h"`
`#include "osl/move_generator/promote_.h"`
`#include "osl/move_generator/addEffect_.h"`
`#include "osl/move_generator/allMoves.h"`
`#include "osl/move_generator/attackToPinned.h"`
`#include "osl/move_action/store.h"`
`#include "osl/move_classifier/check_.h"`
`#include "osl/move_classifier/safeMove.h"`
`#include "osl/move_classifier/moveAdaptor.h"`
`#include "osl/effect_util/effectUtil.h"`
`#include "osl/rating/featureSet.h"`
`#include "osl/rating/ratingEnv.h"`
`#include "osl/eval/pieceEval.h"`
`#include "osl/eval/progressEval.h"`
`#include "osl/eval/ml/openMidEndingEval.h"`
`#include "osl/stat/average.h"`
`#include <boost/foreach.hpp>`
`#include <iostream>`
`#include <iomanip>`
Include dependency graph for moveGenerator.cc:

Go to the source code of this file.

## Namespaces
| osl
| attackDefense.h
| osl::search
| 探索関係

## Constant Groups
| osl
| attackDefense.h
| osl::search
| 探索関係

## Macros
#define | SAFE_MOVE_ONLY

## Functions
static const osl::rating::FeatureSet & | feature_set ()
template void | osl::search::MoveGenerator::init< osl::eval::ProgressEval > (int limit, const SimpleHashRecord *record, const osl::eval::ProgressEval &, const NumEffectState &, bool in_pv, Move hash_move, bool quiesce)
template void | osl::search::MoveGenerator::init< osl::eval::ml::OpenMidEndingEval > (int limit, const SimpleHashRecord *record, const osl::eval::ml::OpenMidEndingEval &, const NumEffectState &, bool in_pv, Move hash_move, bool quiesce)
template<Player P, Ptype PTYPE>
static void | osl::makeCapture (const NumEffectState &state, MoveVector &out)

## Variables
const int | max_see = 20000
static const osl::rating::FeatureSet * | static_feature_set

## Macro Definition Documentation

#define SAFE_MOVE_ONLY

Definition at line 33 of file moveGenerator.cc.

## Function Documentation

static const osl::rating::FeatureSet& feature_set | ( | ) |  |
| static

Definition at line 38 of file moveGenerator.cc.

References static_feature_set.

Referenced by osl::search::MoveGenerator::addCapture(), osl::search::MoveGenerator::generateAll(), osl::search::MoveGenerator::generateKingEscape(), osl::search::MoveGenerator::generateTakeBack(), osl::game_playing::UsiResponse::genmoveProbability(), and show().

## Variable Documentation

const int max_see = 20000

Definition at line 35 of file moveGenerator.cc.

Referenced by osl::search::MoveGenerator::addCapture(), and osl::search::MoveGenerator::quiesceCapture().

const osl::rating::FeatureSet* static_feature_set
| static

Definition at line 37 of file moveGenerator.cc.

Referenced by feature_set().